MongoDB::forceError
MongoDB::getCollectionNames
MongoDB
PHP Manual

# MongoDB::__get

Gets a collection

### Description

public MongoCollection MongoDB::__get ( string `$name` )

This is the easiest way of getting a collection from a database object. If a collection name contains strange characters, you may have to use MongoDB::selectCollection instead.

`<?php
$mongo = new MongoClient();
// the following two lines are equivalent
$collection = $mongo->selectDB("foo")->selectCollection("bar");
$collection = $mongo->foo->bar;
?>`

### Parameters

`name`

  The name of the collection.

### Return Values

Returns the collection.